xcb_set_clip_rectangles(3)

NAME
xcb_set_clip_rectangles -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_set_clip_rectangles(xcb_connection_t *conn, uint8_t ordering, xcb_gcontext_t gc, int16_t clip_x_origin, int16_t clip_y_origin, uint32_t rectangles_len, const xcb_rectangle_t *rectangles);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

ordering
    One of the following values:

    XCB_CLIP_ORDERING_UNSORTED
        TODO: NOT YET DOCUMENTED.

    XCB_CLIP_ORDERING_Y_SORTED
        TODO: NOT YET DOCUMENTED.

    XCB_CLIP_ORDERING_YX_SORTED
        TODO: NOT YET DOCUMENTED.

    XCB_CLIP_ORDERING_YX_BANDED
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

gc  TODO: NOT YET DOCUMENTED.

clip_x_origin
    TODO: NOT YET DOCUMENTED.

clip_y_origin
    TODO: NOT YET DOCUMENTED.

rectangles_len
    TODO: NOT YET DOCUMENTED.

rectangles
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_set_clip_rectangles_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.